package data_manage

import (
	"rdluck_tools/orm"
	"time"
)

type EdbDataThs struct {
	EdbDataId  int `orm:"column(edb_data_id);pk"`
	EdbInfoId  int
	EdbCode    string
	DataTime   string
	Value      float64
	Status     int
	CreateTime time.Time
	ModifyTime time.Time
}

func AddEdbDataThs(items []*EdbDataThs) (err error) {
	o := orm.NewOrm()
	o.Using("data")
	_, err = o.InsertMulti(1, items)
	return
}

func ModifyEdbDataThs(edbInfoId int64, dataTime string, value float64) (err error) {
	o := orm.NewOrm()
	o.Using("data")
	sql := ` UPDATE edb_data_ths SET value=?,modify_time=NOW() WHERE edb_info_id=? AND data_time=? `
	_, err = o.Raw(sql, value, edbInfoId, dataTime).Exec()
	return
}

func GetEdbDataThsCount(edbInfoId int64, dataTime string) (count int, err error) {
	o := orm.NewOrm()
	o.Using("data")
	sql := ` SELECT COUNT(1) AS count FROM edb_data_ths WHERE edb_info_id=? AND data_time=? `
	err = o.Raw(sql, edbInfoId, dataTime).QueryRow(&count)
	return
}

func GetEdbDataThsMaxOrMinDate(edbInfoId int) (min_date, max_date string, err error) {
	o := orm.NewOrm()
	o.Using("data")
	sql := ` SELECT MIN(data_time) AS min_date,MAX(data_time) AS max_date FROM edb_data_ths WHERE edb_info_id=? `
	err = o.Raw(sql, edbInfoId).QueryRow(&min_date, &max_date)
	return
}